# eric3.DocumentationTools.EricapiConfigDialog

Module implementing a dialog to enter the parameters for eric3-api.

### Classes

EricapiConfigDialog | Class implementing a dialog to enter the parameters for eric3-api.

### Functions

None

## EricapiConfigDialog

Class implementing a dialog to enter the parameters for eric3-api.

### Derived from

EricapiConfigForm

### Methods

EricapiConfigDialog | Constructor
accept | Protected slot called by the Ok button.
generateParameters | Public method that generates the commandline parameters.
handleFileChanged | Private slot to enable/disable the "OK" button.
handleIgnoreDir | Private slot to select a directory to be ignored.
handleIgnoreDirAdd | Private slot to add the directory displayed to the listview.
handleIgnoreDirDelete | Private slot to delete the currently selected directory of the listbox.
handleOutputFile | Private slot to select the output file.
initializeDefaults | Private method to set the default values.

### EricapiConfigDialog (Constructor)

EricapiConfigDialog(ppath, parms = None, parent = None)

Constructor

ppath
  project path of the current project (string)
parms
  parameters to set in the dialog
parent
  parent widget of this dialog

### EricapiConfigDialog.accept

accept()

Protected slot called by the Ok button. It saves the values in the parameters dictionary.

### EricapiConfigDialog.generateParameters

generateParameters()

Public method that generates the commandline parameters. It generates a QStringList to be used to set the QProcess arguments for the ericapi call and a list containing the non default parameters. The second list can be passed back upon object generation to overwrite the default settings.

Returns:
  a tuple of the commandline parameters and non default parameters (QStringList, dictionary)

### EricapiConfigDialog.handleFileChanged

handleFileChanged(filename)

Private slot to enable/disable the "OK" button.

filename
  name of the file (QString)

### EricapiConfigDialog.handleIgnoreDir

handleIgnoreDir()

Private slot to select a directory to be ignored. It displays a directory selection dialog to select a directory to be ignored.

### EricapiConfigDialog.handleIgnoreDirAdd

handleIgnoreDirAdd()

Private slot to add the directory displayed to the listview. The directory in the ignore directories line edit is moved to the listbox above and the edit is cleared.

### EricapiConfigDialog.handleIgnoreDirDelete

handleIgnoreDirDelete()

Private slot to delete the currently selected directory of the listbox.

### EricapiConfigDialog.handleOutputFile

handleOutputFile()

Private slot to select the output file. It displays a file selection dialog to select the file the api is written to.

### EricapiConfigDialog.initializeDefaults

initializeDefaults()

Private method to set the default values. These are needed later on to generate the commandline parameters.

Up